
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:


Copyright (c) 2001 World Wide Web Consortium,
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University). All
Rights Reserved. This program is distributed under the W3C's Software
Intellectual Property License. This program is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
See W3C License http://www.w3.org/Consortium/Legal/ for more details.

*/

package org.w3c.domts.level1.core;

import org.w3c.dom.*;

import org.w3c.dom.events.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 
    The "splitText(offset)" method returns the new Text node.
    
    Retrieve the textual data from the last child of the 
    first employee and invoke the "splitText(offset)" method.
    The method should return the new Text node.   The offset
    value used for this test is 30.   The "getNodeValue()"
    method is called to check that the new node now contains
    the characters at and after position 30.
    (Starting count at 0)

* @author NIST
* @author Mary Brady
* @see <a href="http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-38853C1D">http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-38853C1D</a>
*/
public class textsplittextfour extends DOMTestCase {

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public textsplittextfour(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      NodeList elementList;
      Node addressNode;
      Text textNode;
      Text splitNode;
      String value;
      doc = (Document) load("staff", true);
      elementList = doc.getElementsByTagName("address");
      addressNode = elementList.item(0);
      textNode = (Text) addressNode.getFirstChild();
      splitNode = textNode.splitText(30);
      value = splitNode.getNodeValue();
      assertEquals("textSplitTextFourAssert", "98551", value);
      
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/textsplittextfour";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(textsplittextfour.class, args);
   }
}
