
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:


Copyright (c) 2001-2003 World Wide Web Consortium,
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University). All
Rights Reserved. This program is distributed under the W3C's Software
Intellectual Property License. This program is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
See W3C License http://www.w3.org/Consortium/Legal/ for more details.

*/

package org.w3c.domts.level1.core;

import org.w3c.dom.*;

import org.w3c.dom.events.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 
    The "getEntities()" method is a NamedNodeMap that contains
   the general entities for this document. 
   
   Retrieve the Document Type for this document and create 
   a NamedNodeMap of all its entities.  The entire map is
   traversed and the names of the entities are retrieved.
   There should be 5 entities.  Duplicates should be ignored.

* @author NIST
* @author Mary Brady
* @see <a href="http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1788794630">http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1788794630</a>
*/
public class documenttypegetentities extends DOMTestCase {

   /**
    * Constructor
    * @param factory document factory, may not be null
    * @throws org.w3c.domts.DOMTestIncompatibleException Thrown if test is not compatible with parser configuration
    */
   public documenttypegetentities(DOMTestDocumentBuilderFactory factory)  throws org.w3c.domts.DOMTestIncompatibleException {
      super(factory);
      if (factory.hasFeature("XML", null) != true) {
         throw new org.w3c.domts.DOMTestIncompatibleException("XML", null);
      }

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      DocumentType docType;
      NamedNodeMap entityList;
      String name;
      java.util.Collection expectedResult = new java.util.ArrayList();
      expectedResult.add("ent1");
      expectedResult.add("ent2");
      expectedResult.add("ent3");
      expectedResult.add("ent4");
      expectedResult.add("ent5");
      
      java.util.Collection nameList = new java.util.ArrayList();
      
      Node entity;
      doc = (Document) load("staff", false);
      docType = doc.getDoctype();
      entityList = docType.getEntities();
      assertSize("entitySize", 5, entityList);
      for (int indexd42e64 = 0; indexd42e64 < entityList.getLength(); indexd42e64++) {
          entity = ( Node) entityList.item(indexd42e64);
    name = entity.getNodeName();
      nameList.add(name);
        }
      assertEquals("entityNames", expectedResult, nameList);
      
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documenttypegetentities";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(documenttypegetentities.class, args);
   }
}
