
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:


Copyright (c) 2001-2003 World Wide Web Consortium,
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University). All
Rights Reserved. This program is distributed under the W3C's Software
Intellectual Property License. This program is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
See W3C License http://www.w3.org/Consortium/Legal/ for more details.

*/

package org.w3c.domts.level1.core;

import org.w3c.dom.*;

import org.w3c.dom.events.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 
    The "getElementsByTagName(tagName)" method returns a 
   NodeList of all the Elements in the tree when the  
   tagName is equal to "*".
   
   Retrieve the entire DOM document and invoke its 
   "getElementsByTagName(tagName)" method with tagName
   equal to "*".  The method should return a NodeList 
   that contains all the elements of the document. 

* @author Curt Arnold
* @see <a href="http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-A6C9094">http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-A6C9094</a>
* @see <a href="http://www.w3.org/Bugs/Public/show_bug.cgi?id=251">http://www.w3.org/Bugs/Public/show_bug.cgi?id=251</a>
*/
public class hc_documentgetelementsbytagnametotallength extends DOMTestCase {

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public hc_documentgetelementsbytagnametotallength(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      NodeList nameList;
      java.util.List expectedNames = new java.util.ArrayList();
      expectedNames.add("html");
      expectedNames.add("head");
      expectedNames.add("title");
      expectedNames.add("body");
      expectedNames.add("p");
      expectedNames.add("em");
      expectedNames.add("strong");
      expectedNames.add("code");
      expectedNames.add("sup");
      expectedNames.add("var");
      expectedNames.add("acronym");
      expectedNames.add("p");
      expectedNames.add("em");
      expectedNames.add("strong");
      expectedNames.add("code");
      expectedNames.add("sup");
      expectedNames.add("var");
      expectedNames.add("acronym");
      expectedNames.add("p");
      expectedNames.add("em");
      expectedNames.add("strong");
      expectedNames.add("code");
      expectedNames.add("sup");
      expectedNames.add("var");
      expectedNames.add("acronym");
      expectedNames.add("p");
      expectedNames.add("em");
      expectedNames.add("strong");
      expectedNames.add("code");
      expectedNames.add("sup");
      expectedNames.add("var");
      expectedNames.add("acronym");
      expectedNames.add("p");
      expectedNames.add("em");
      expectedNames.add("strong");
      expectedNames.add("code");
      expectedNames.add("sup");
      expectedNames.add("var");
      expectedNames.add("acronym");
      
      java.util.List svgExpectedNames = new java.util.ArrayList();
      svgExpectedNames.add("svg");
      svgExpectedNames.add("head");
      svgExpectedNames.add("title");
      svgExpectedNames.add("body");
      svgExpectedNames.add("p");
      svgExpectedNames.add("em");
      svgExpectedNames.add("strong");
      svgExpectedNames.add("code");
      svgExpectedNames.add("sup");
      svgExpectedNames.add("var");
      svgExpectedNames.add("acronym");
      svgExpectedNames.add("p");
      svgExpectedNames.add("em");
      svgExpectedNames.add("strong");
      svgExpectedNames.add("code");
      svgExpectedNames.add("sup");
      svgExpectedNames.add("var");
      svgExpectedNames.add("acronym");
      svgExpectedNames.add("p");
      svgExpectedNames.add("em");
      svgExpectedNames.add("strong");
      svgExpectedNames.add("code");
      svgExpectedNames.add("sup");
      svgExpectedNames.add("var");
      svgExpectedNames.add("acronym");
      svgExpectedNames.add("p");
      svgExpectedNames.add("em");
      svgExpectedNames.add("strong");
      svgExpectedNames.add("code");
      svgExpectedNames.add("sup");
      svgExpectedNames.add("var");
      svgExpectedNames.add("acronym");
      svgExpectedNames.add("p");
      svgExpectedNames.add("em");
      svgExpectedNames.add("strong");
      svgExpectedNames.add("code");
      svgExpectedNames.add("sup");
      svgExpectedNames.add("var");
      svgExpectedNames.add("acronym");
      
      java.util.List actualNames = new java.util.ArrayList();
      
      Element thisElement;
      String thisTag;
      doc = (Document) load("hc_staff", false);
      nameList = doc.getElementsByTagName("*");
      for (int indexd378e277 = 0; indexd378e277 < nameList.getLength(); indexd378e277++) {
          thisElement = ( Element) nameList.item(indexd378e277);
    thisTag = thisElement.getTagName();
      actualNames.add(thisTag);
        }
      
      if (("image/svg+xml".equals(getContentType()))) {
          assertEquals("svgTagNames", svgExpectedNames, actualNames);
      } else {
          assertEquals("tagNames", expectedNames, actualNames);
      }
        
    
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/hc_documentgetelementsbytagnametotallength";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(hc_documentgetelementsbytagnametotallength.class, args);
   }
}
