
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:


Copyright (c) 2001 World Wide Web Consortium,
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University). All
Rights Reserved. This program is distributed under the W3C's Software
Intellectual Property License. This program is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
See W3C License http://www.w3.org/Consortium/Legal/ for more details.

*/

package org.w3c.domts.level1.core;

import org.w3c.dom.*;

import org.w3c.dom.events.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 
    The string returned by the "getNodeName()" method for a 
    Comment Node is "#comment".
    
    Retrieve the Comment node in the XML file 
    and check the string returned by the "getNodeName()" 
    method.   It should be equal to "#comment".

* @author NIST
* @author Mary Brady
* @see <a href="http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095">http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095</a>
* @see <a href="http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1728279322">http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1728279322</a>
*/
public class nodecommentnodename extends DOMTestCase {

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public nodecommentnodename(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      NodeList elementList;
      Node commentNode;
      int nodeType;
      String commentNodeName;
      doc = (Document) load("staff", false);
      elementList = doc.getChildNodes();
      for (int indexd1051e40 = 0; indexd1051e40 < elementList.getLength(); indexd1051e40++) {
          commentNode = ( Node) elementList.item(indexd1051e40);
    nodeType = (int) commentNode.getNodeType();
      
      if (equals(8, nodeType)) {
          commentNodeName = commentNode.getNodeName();
      assertEquals("nodeCommentNodeNameAssert1", "#comment", commentNodeName);
      }
      }
      
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodecommentnodename";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(nodecommentnodename.class, args);
   }
}
