
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:


Copyright (c) 2001 World Wide Web Consortium,
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University). All
Rights Reserved. This program is distributed under the W3C's Software
Intellectual Property License. This program is distributed in the
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
See W3C License http://www.w3.org/Consortium/Legal/ for more details.

*/

package org.w3c.domts.level1.core;

import org.w3c.dom.*;

import org.w3c.dom.events.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 
    The "getNextSibling()" method returns the node immediately
    following this node. 
    
    Retrieve the first child of the second employee and
    invoke the "getNextSibling()" method.   It should return
    a node with the NodeName of "#text".

* @author NIST
* @author Mary Brady
* @see <a href="http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-6AC54C2F">http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-6AC54C2F</a>
*/
public class nodegetnextsibling extends DOMTestCase {

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public nodegetnextsibling(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      NodeList elementList;
      Node employeeIdNode;
      Node nsNode;
      String nsName;
      doc = (Document) load("staff", false);
      elementList = doc.getElementsByTagName("employeeId");
      employeeIdNode = elementList.item(1);
      nsNode = employeeIdNode.getNextSibling();
      nsName = nsNode.getNodeName();
      
      if (isIgnoringElementContentWhitespace()) {
          assertEquals("nowhitespace", "name", nsName);
      } else {
          assertEquals("whitespace", "#text", nsName);
      }
        
    
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodegetnextsibling";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(nodegetnextsibling.class, args);
   }
}
